#ifndef MY_DEVICE_H
#define MY_DEVICE_H
#include "ubl-utils.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include "philos_utils.h"
#include "model.h"
typedef struct { 
    char* name_disk;
    char* file_system;
    char* mounted;
    char* type_dick;
    char* description_disk;
    size_t size_disk;
} device_config;

void device_disk_parsed();
vector *get_device_vec();
void device_fill_disk(GtkWidget* combo_box_text, vector* vec_filt);
size_t get_mem_total();
float get_size_pow_memory(size_t size_memory, int size);
size_t get_resurs_total(char* cmd);
void device_device_config_free();

#endif